Bug 661542 - subscription-manager-gui state needs to update when executing modules from the cli
Summary: subscription-manager-gui state needs to update when executing modules from th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-08 22:51 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
sm-gui appears to be in a registered/unregistered state at the same time (58.74 KB, image/png)
2010-12-08 22:51 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-12-08 22:51:48 UTC
Created attachment 467607 [details]
sm-gui appears to be in a registered/unregistered state at the same time

Description of problem:
There are really MANY situations to test here, but here is the first one I ran into...

Steps to Reproduce:
0. begin in an unregistered state
1. # subscription-manager-gui &   <- Notice the System Name: "Not registered"
2. # subscription-manager register --username=rh-alpha-99 --password=redhat
825df059-29b6-462d-8021-95252ee900eb rh-alpha-99

Notice that upon registering from the cli, the gui actually updates to show System Name: rh-alpha-99
^ THIS IS GREAT!, but now the gui is in a mixed state.  The Tools button "Register System" is still showing.  This should also have updated to "Unregister" and the "Available Subscriptions" tab should have loaded.

See attached screenshot

Version-Release number of selected component (if applicable):
[root@jsefler-onprem02 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.93.2-1.git.91.7f89664.fc14.x86_64
subscription-manager-gnome-0.93.2-1.git.91.7f89664.fc14.x86_64

Comment 2 Adrian Likins 2010-12-13 16:57:59 UTC
commit 002817a6c282e26f6ece61355e1115dd68a5b78b
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Dec 13 11:52:03 2010 -0500

    661542: update gui if registration state changes externally
    
    Call the gui refresh to update the all subscriptions tab, the
    registration button, the system name, etc when we notice changes
    in the entitlement certs via the file monitor. Before we were
    just updating the system name

Comment 3 J.C. Molet 2011-01-03 18:05:10 UTC
This is working now.


subscription-manager-0.93.8-1.git.15.dfe034e.el6.x86_64
subscription-manager-gnome-0.93.8-1.git.15.dfe034e.el6.x86_64

Comment 4 errata-xmlrpc 2011-05-19 13:38:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.